 public class cylinder extends circle
 {protected double H;
 public cylinder( double h, double r, int a, int b)
 {super(r, a, b );enterH( h);}
 public void enterH(double h )
 {if(h>=0) H=h;
  else H=0; } 
 public double read_H(){return H;}
 public double area()
 { return 2* super.area()+2*Math.PI*R*H;} 
 public double volume(){return super.area()*H;}
 public String toString()
 {return super.toString()+";Height = "+H;}
 public String isim(){return "Cylinder";}
}

